@import url('https://fonts.googleapis.com/css2?family=Quintessential&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  user-select: none;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  /* background: #f0e4d7; */
}

.diary-app {
  min-height: 100vh;
  background: url(background_diary.jpg) no-repeat center;
  background-size: cover;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}


.page {
  width: 50%;
  height: 100%;
  /* background: rgba(231, 231, 231, 0.773); */
  /* background: url(hand.jpg) no-repeat center/cover; */
  background: linear-gradient(rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.7)),
    url(hand.jpg) no-repeat center/cover;
  padding: 20px;
  display: flex;
  flex-direction: column;
  /* border-left: 1px solid #ddd; */
  /* border: 1.5px solid rgba(120, 90, 60, 0.4); */
  border-radius: 10px;
  box-shadow: inset 0px 3px 6px rgba(0, 0, 0, 0.3);
  position: relative;
  overflow: hidden;
  opacity: .9;
  backdrop-filter: blur(8px) saturate(110%);
  transition: transform 0.35s ease, opacity 0.35s ease;

}
.page.slide-next {
  transform: translateX(-20%);
  opacity: 0;
}

.page.slide-prev {
  transform: translateX(20%);
  opacity: 0;
}


.page-left {
  border-left: none;
  border-right: 1px solid #a4a4a4;
}

.page-header {
  font-size: 14px;
  color: #555;
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.page-body {
  flex: 1;
}

.page-text {
  width: 100%;
  height: 100%;
  border: none;
  resize: none;
  outline: none;
  background: transparent;
  font-size: 18px;
  line-height: 28px;
  padding: 0px 10px;
  background:
    repeating-linear-gradient(to bottom,
      transparent,
      transparent 27px,
      rgba(0, 0, 0, 0.15) 28px);
  font-family:'Quintessential', sans-serif;
  letter-spacing: 1.1px;
  word-spacing: 5px;
  font-weight: bold;
  overflow: hidden;
}
.date-container{
  align-items: center;
  text-align: center;
}
.page-date{
  font-size: 18px
}

.controls {
  display: flex;
  gap: 20px;
}

.controls button {
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

.date-input {
  font-size: 16px;
  padding: 5px;
  border: none;
  outline: none;
  background: transparent;
  color: #555;
  font: italic;
  letter-spacing: .5px;
}

.date-input::-webkit-calendar-picker-indicator {
  opacity: 0.6;
  cursor: pointer;
}

.page-number {
  font-size: 14px;
  color: #555;
  text-align: right;
  background-color: rgba(84, 84, 84, 0.26);
  border-radius: 50%;
  width: 25px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
}

/* .book-container {
  position: relative;
  width: 80vw;
  height: 80vh;
  perspective: 1500px;
} */

.book {
  display: flex;
  /* width: 700px; */
  /* height: 450px; */
  width: 80vw;
  height: 80vh;
  /* background: #d2b48c; */
  border-radius: 6px;
  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.4);
  overflow: hidden;
  position: relative;
  align-items: center;
  justify-content: center;

  perspective: 1500px;


}


/* .book-cover { */
/* width: 100%;
  height: 100%; */
/* width: 80vw;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 20;
  background-color: #5D4037;
  color: gold;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px 15px 15px;
  box-shadow: 10px 10px 30px rgba(0, 0, 0, 0.5);
  cursor: pointer;
  transform-origin: left;
  transition: transform 1.5s cubic-bezier(0.25, 1, 0.5, 1);
} */
/* .book.visible {
    opacity: 1;
} */

#welcome {
  position: fixed;
  inset: 0;
  /* background: #0f0f0f; */
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  justify-content: space-evenly;
  background: url(welcome.jpeg) no-repeat center/cover;
  animation: appear 5s cubic-bezier(0.16, 1, 0.3, 1) forwards;
  opacity: 0;
  transform: scale(1.1); 
  filter: blur(10px);
}
@keyframes appear {
 to{
  opacity: 1;
  transform: scale(1);
  filter: blur(0);
 }
  
}

.welcome-content {
  text-align: center;
  gap: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;

  
}
.welcome-container{
  height: 50vh;
  width: 50vw;
  background: rgba(0, 0, 0, 0.5);
  padding: 30px;
  border-radius: 10px;
  backdrop-filter: blur(5px);
  position: relative;
  align-items: center;
  text-align: center;
}
.welcome-heading {
  font-size: 50px;
  font-weight: bold;
  font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  /* line-height: 1.6; */
}
.welcome-content h2{
  font-size: 30px;
  font-weight: 700px;

}


.loader {
  display: inline-block;
  width: 40px;
  height: 40px;
  border: 3px solid rgba(255,255,255,0.3);
  border-top-color: #fff;
  border-radius: 50%;
  margin: 20px;
  animation: spin 1s linear infinite;
 } 

 .instruction{
  position: absolute;
  bottom: 20px;
  width: 100%;
  text-align: center;
 }

@keyframes spin {
  to { transform: rotate(360deg); }
}

.hidden {
  display: none;
}
